package com.zt.plat.module.qms.business.bus.service;

import java.util.List;

import com.alibaba.fastjson2.JSONObject;
import com.zt.plat.module.qms.business.bus.controller.vo.BusinessAssayTaskDataReqVO;

/**
 * <b>SampleAnalysisAuditService</b>
 */
public interface SampleAnalysisAuditService {

	JSONObject getCrossAuditDataByTaskId(Long businessAssayTaskId);
	
	void crossAuditByTaskId(Long businessAssayTaskId, String auditStatus);

	JSONObject getSampleResultAssessmentList(BusinessAssayTaskDataReqVO reqVO);

	JSONObject getParallelResultAssessment(Long businessSubSampleId, Long configAssayMethodId);

	JSONObject getDoubleCupResultAssessment(Long businessSubParentSampleId, Long configAssayMethodId);

	void assessmentDataReporting(Long businessSubSampleId, Long configAssayMethodId, Integer retestCount);

	void createReAnalysis(Long businessSubSampleId, Long configAssayMethodId, Integer retestCount);

	JSONObject modifyParallelResultAssessment(Long businessSubSampleId, Long configAssayMethodId, Long businessSubSampleAssessmentId, List<Long> businessAssayProjectDataIds);


}
